/**
 * metadata/ClassificationMetaData.java
 *
 * File generated from the ClassificationMetaData uml Class
 * Generated by the Acceleo UML 2.1 to Java generator module (Obeo)
 */
package net.ihe.gazelle.metadata.model;

// End of user code
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.jboss.seam.annotations.Name;


/**
 * Description of the class ClassificationMetaData.
 *
 */

@Entity
@Name("classificationMetaData")
@DiscriminatorValue("Classification")

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClassificationMetaData", propOrder = {
		"valueset"
	})
@XmlRootElement(name = "ClassificationMetaData")

public class ClassificationMetaData extends net.ihe.gazelle.metadata.model.RegistryObjectMetadata {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@Size(max=500)
	private String valueset;

	public String getValueset() {
		return valueset;
	}

	public void setValueset(String valueset) {
		this.valueset = valueset;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result + ((valueset == null) ? 0 : valueset.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		ClassificationMetaData other = (ClassificationMetaData) obj;
		if (valueset == null) {
			if (other.valueset != null)
				return false;
		} else if (!valueset.equals(other.valueset))
			return false;
		return true;
	}

}